package x33eja.model;

import java.io.Serializable;
import java.util.List;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;

import java.util.ArrayList;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;

@Entity
@DiscriminatorValue("teacher")
@NamedQueries(@NamedQuery(name = "Teacher.findAll", query = "SELECT t FROM Teacher t ORDER BY t.surname ASC, t.firstName ASC"))
public class Teacher extends Person implements Serializable {

    @ManyToOne
    private Organization mIsMemberOf;
    @ManyToMany
    private List<Course> mIsTeacherOf;

    public Organization getIsMemberOf() {
        return mIsMemberOf;
    }

    public void setIsMemberOf(Organization val) {
        this.mIsMemberOf = val;
    }

    public List<Course> getIsTeacherOf() {
        return mIsTeacherOf;
    }

    public void setIsTeacherOf(List<Course> val) {
        this.mIsTeacherOf = val;
    }

    public void setIsTeacherOf(ArrayList<Course> val) {
        this.mIsTeacherOf = val;
    }
}

