<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>List of Students</title>
        </head>
        <body>
            <h1><h:outputText value="#{msgs.students}"/></h1>
            <h:form>
                <f:loadBundle basename="translation" var="msg" />
                <h:commandLink action="#{students.newStudent}" value="Add Student"/>
                
                <h:dataTable value="#{students.allStudentsModel}" var="item">
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="First Name"/>
                        </f:facet>
                        <h:outputText value="#{item.firstName}"/>
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Surname"/>
                        </f:facet>
                        <h:outputText value="#{item.surname}"/>
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Supervisor Name"/>
                        </f:facet>
                        <h:outputText value="#{item.hasSupervisor.surname} #{item.hasSupervisor.firstName}"/>
                    </h:column>
                    <h:column>
                        <h:commandButton action="#{students.editStudent}" value="Edit" />
                    </h:column>
                </h:dataTable>
            </h:form>

        </body>
    </html>
</f:view>
