package x33eja.sb;

import java.util.List;
import java.util.Map;
import javax.ejb.Local;
import x33eja.model.Course;
import x33eja.model.Student;
import x33eja.model.Teacher;

@Local
public interface StudentSessionLocal {

    List<Course> getNotEnrolledCoursesForCurrent();

    Map<Student, Long> getStudentsWithCourseCount();

    void saveStudent(Student student);

    void addCourse(Course course);

    public List<Student> getAllStudents();

    public List<Teacher> getAllTeachers();

    public Teacher getTeacherWithId(String id);
}
